%define uuid	com.github.unrud.VideoDownloader

Name:		video-downloader
Version:	0.12.21
Release:	%mkrel 1
Summary:	Download videos from websites like YouTube and many others
Group:		Video/Players
License:	GPLv3+
URL:		https://github.com/Unrud/video-downloader
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	appstream-util
BuildRequires:	intltool
BuildRequires:	rsvg-convert
BuildRequires:	meson
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	gtk-update-icon-cache

Requires:	python3-xlib
Requires:	yt-dlp

%description
Download videos from websites with an easy-to-use interface. Provides the
following features:

- Convert videos to MP3
- Supports password-protected and private videos
- Download single videos or whole playlists
- Automatically selects a video format based on your preferred resolution

Based on yt-dlp.


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml


%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svg
%{_metainfodir}/*.xml


%changelog
* Fri Dec 27 2024 daviddavid <daviddavid> 0.12.21-1.mga10
+ Revision: 2130367
- new version: 0.12.21

* Thu Dec 05 2024 daviddavid <daviddavid> 0.12.20-1.mga10
+ Revision: 2121670
- new version: 0.12.20

* Tue Nov 19 2024 daviddavid <daviddavid> 0.12.19-1.mga10
+ Revision: 2117753
- new version: 0.12.19

* Sat Sep 14 2024 daviddavid <daviddavid> 0.12.18-1.mga10
+ Revision: 2095986
- new version: 0.12.18

* Tue Jul 23 2024 daviddavid <daviddavid> 0.12.17-1.mga10
+ Revision: 2082329
- new version: 0.12.17

* Wed Jul 10 2024 daviddavid <daviddavid> 0.12.16-1.mga10
+ Revision: 2080543
- new version: 0.12.16

* Wed Jun 26 2024 daviddavid <daviddavid> 0.12.15-1.mga10
+ Revision: 2077147
- new version: 0.12.15

* Tue Jun 11 2024 daviddavid <daviddavid> 0.12.14-1.mga10
+ Revision: 2072590
- new version: 0.12.14

* Thu May 30 2024 daviddavid <daviddavid> 0.12.13-1.mga10
+ Revision: 2068819
- new version: 0.12.13

* Mon Apr 08 2024 daviddavid <daviddavid> 0.12.12-1.mga10
+ Revision: 2055347
- new version: 0.12.12

* Tue Mar 12 2024 daviddavid <daviddavid> 0.12.11-1.mga10
+ Revision: 2049252
- new version: 0.12.11

* Mon Dec 18 2023 papoteur <papoteur> 0.12.10-2.mga10
+ Revision: 2018941
- Mass Rebuild - Python 3.12

* Thu Nov 23 2023 daviddavid <daviddavid> 0.12.10-1.mga10
+ Revision: 2009376
- new version: 0.12.10

* Mon Aug 28 2023 daviddavid <daviddavid> 0.12.9-1.mga10
+ Revision: 1980476
- new version: 0.12.9

* Sat May 13 2023 daviddavid <daviddavid> 0.12.3-1.mga9
+ Revision: 1956744
- new version: 0.12.3

* Sun Apr 02 2023 daviddavid <daviddavid> 0.12.0-1.mga9
+ Revision: 1951231
- new version: 0.12.0

* Fri Mar 10 2023 daviddavid <daviddavid> 0.11.1-1.mga9
+ Revision: 1948490
- new version: 0.11.1

* Tue Jan 10 2023 daviddavid <daviddavid> 0.10.13-1.mga9
+ Revision: 1932121
- new version: 0.10.13

* Sat Dec 03 2022 daviddavid <daviddavid> 0.10.12-1.mga9
+ Revision: 1915904
- new version: 0.10.12

* Sun Nov 27 2022 daviddavid <daviddavid> 0.10.11-2.mga9
+ Revision: 1912010
- fix description s/youtube-dl/yt-dlp/

* Sun Nov 27 2022 daviddavid <daviddavid> 0.10.11-1.mga9
+ Revision: 1911978
- new version: 0.10.11
- switch from youtube-dl to yt-dlp

* Sun Nov 06 2022 daviddavid <daviddavid> 0.10.10-1.mga9
+ Revision: 1904094
- new version: 0.10.10

* Tue Sep 13 2022 neoclust <neoclust> 0.10.3-1.mga9
+ Revision: 1887593
- New version 	0.10.3

* Sun Aug 21 2022 papoteur <papoteur> 0.10.1-1.mga9
+ Revision: 1879007
- new 0.10.1

* Thu Mar 31 2022 umeabot <umeabot> 0.8.3-2.mga9
+ Revision: 1836247
- Mageia 9 Mass Rebuild

* Sat May 15 2021 daviddavid <daviddavid> 0.8.3-1.mga9
+ Revision: 1723909
- new version: 0.8.3

* Mon May 03 2021 daviddavid <daviddavid> 0.8.2-1.mga9
+ Revision: 1721001
- new version: 0.8.2

* Sat May 01 2021 daviddavid <daviddavid> 0.8.1-1.mga9
+ Revision: 1720681
- new version: 0.8.1

* Sun Apr 18 2021 daviddavid <daviddavid> 0.8.0-1.mga9
+ Revision: 1716758
- initial package video-downloader

